Class | WSDL::SOAP::CGIStubCreator
In: | wsdl/soap/cgiStubCreator.rb
Parent: | Object

### Methods

dump new

### Included Modules

ClassDefCreatorSupport

### Attributes

definitions | [R] |

### Public Class methods

new(definitions)

[Source]

    # File wsdl/soap/cgiStubCreator.rb, line 24
      def initialize(definitions)
        @definitions = definitions
      end

### Public Instance methods

dump(service_name)

[Source]

    # File wsdl/soap/cgiStubCreator.rb, line 28
      def dump(service_name)
        warn("CGI stub can have only 1 port.  Creating stub for the first port...  Rests are ignored.")
        port = @definitions.service(service_name).ports[0]
        dump_porttype(port.porttype.name)
      end

[Validate]